Subject: Superproject branch tracking?

From: Jon Loeliger <[email-masked]>
Date: Wed, 21 Jan 2009 15:22:40 -0600

Guys,

Can someone tell me what the current best practice
to have a Git supermodule maintain a branch that is
actively tracking a similarly named branch in all of
the submodules?

That is, I want have a scenario where I would like
the master branch of a super-project to always (or on
demand) reflect the current HEAD of the master branch
in each of the submodules.

Does anyone have a script up their sleeve that I can
use as a hook in the super to notice updates to a submodule
and cause it to scurry around the sub-modules and create
a new (updated) commit in the super?

Thanks,
jdl